/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.api;

/**
 * An enumerated type to describe the state of a working memory.
 * 
 * @author Julien Nicoulaud
 */
public enum DroolsWorkingMemoryState {
	
	/**
	 * The working memory is ready to start.
	 */
	IDLE,
	
	/**
	 * The working memory is running.
	 */
	RUNNING,
	
	/**
	 * The working memory rules execution was explicitly ordered to stop.
	 */
	STOPPED
}
