/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.rules.ra.outbound;

import java.io.PrintWriter;
import java.io.Serializable;
import java.util.Set;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.resource.ResourceException;
import javax.resource.spi.ConnectionManager;
import javax.resource.spi.ConnectionRequestInfo;
import javax.resource.spi.ManagedConnection;
import javax.resource.spi.ManagedConnectionFactory;
import javax.security.auth.Subject;

/**
 * @author Julien Legrand
 *
 */
public class ManagedConnectionFactoryImpl implements ManagedConnectionFactory,
        Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 5713254729096503997L;

    /**
     *
     */
    private PrintWriter printWriter = null;

    /**
     *
     */
    private static Logger logger = Logger
            .getLogger(ManagedConnectionFactoryImpl.class.getName());

    // ------------------------------------------------------------------------
    // Implementation of the ManagedConnectionFactory interface
    // ------------------------------------------------------------------------

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#createConnectionFactory()
     */
    public Object createConnectionFactory() throws ResourceException {
        return new DroolsConnectionFactoryImpl();
    }

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#createConnectionFactory(javax.resource.spi.ConnectionManager)
     */
    public Object createConnectionFactory(final ConnectionManager arg0)
            throws ResourceException {
        return new DroolsConnectionFactoryImpl();
    }

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#createManagedConnection(javax.security.auth.Subject, javax.resource.spi.ConnectionRequestInfo)
     */
    public ManagedConnection createManagedConnection(final Subject arg0,
            final ConnectionRequestInfo arg1) throws ResourceException {
        logger.log(Level.INFO, "not implemented");
        return null;
    }

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#getLogWriter()
     */
    public PrintWriter getLogWriter() throws ResourceException {
        return printWriter;
    }

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#matchManagedConnections(java.util.Set, javax.security.auth.Subject, javax.resource.spi.ConnectionRequestInfo)
     */
    @SuppressWarnings("unchecked")
    public ManagedConnection matchManagedConnections(final Set arg0, final Subject arg1,
            final ConnectionRequestInfo arg2) throws ResourceException {
        logger.log(Level.INFO, "not implemented");
        return null;
    }

    /* (non-Javadoc)
     * @see javax.resource.spi.ManagedConnectionFactory#setLogWriter(java.io.PrintWriter)
     */
    public void setLogWriter(final PrintWriter arg0) throws ResourceException {
        printWriter = arg0;
    }

}
