/**
 * JASMINe
 * Copyright (C) 2009-2010 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.ejb;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

import org.ow2.jasmine.rules.manager.model.textual.ITextualRulePackage;

/**
 * The TextualRulePackage entity bean
 *
 * @author HAN Tianyi
 * @author Julien Nicoulaud
 * @see {@link ITextualRulePackage}
 * @see {@link RulePackageEB}
 */
@Entity
@Table(name = "JM_TEXTUAL_RULE_PACKAGE")
public class TextualRulePackageEB implements Serializable {

    // =========================================================================
    // Properties
    // =========================================================================

    /**
     * Class version ID
     */
    private static final long serialVersionUID = 3603043818875621406L;

    /**
     * Primary key
     */
    @Id
    @GeneratedValue(strategy=GenerationType.AUTO, generator="JasmineTextualRulepackageSeq")
    @SequenceGenerator(name="JasmineTextualRulepackageSeq",sequenceName="JM_TEXTUAL_RULE_PACKAGE_SEQ", allocationSize=1)
    private Long textualRPId;

    /**
    * The DRL source of the rule package
    */
    @Column(length=3000)
    private String content;


    // =========================================================================
    // Getters & setters
    // =========================================================================

    /**
     * Get the bean ID
     */
    public Long getTextualRPId() {
        return textualRPId;
    }

    /**
     * @param id Primary key
     */
    public void setTextualRPId(final Long id) {
        this.textualRPId = id;
    }

    /**
     * Get the DRL source of the rule package
     */
    public String getContent() {
        return content;
    }

    /**
     * Set the DRL source of the rule package
     */
    public void setContent(final String content) {
        this.content = content;
    }
}
