/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.cluster.jk.osgi;

import java.text.SimpleDateFormat;
import java.util.Dictionary;

import org.osgi.framework.BundleContext;
import org.ow2.jasmine.rules.cluster.jk.JKAction;
import org.ow2.jasmine.rules.osgi.impl.RulesActivator;

/**
 * @author Loris Bouzonnet
 */
public class Activator extends RulesActivator {


    @Override
    public void doStart(final BundleContext bundleContext) throws Exception {

    	// Name a specific target WorkingMemory (optional)
    	workingMemoryName = "cluster";
    	
    	// Specific JK configuration
        JKAction jkAction = JKAction.getJKAction();

        // Configure JKAction
        Dictionary<?, ?> headers = bundleContext.getBundle().getHeaders();
        Object webServerHost = headers.get("JKWebServerHost");
        if(webServerHost != null) {
            jkAction.setWebServerHost((String) webServerHost);
        }
        Object webServerPort = headers.get("JKWebServerPort");
        if(webServerPort != null) {
            jkAction.setWebServerPort(Integer.parseInt((String) webServerPort));
        }
        Object user = headers.get("JKUser");
        if(user != null) {
            jkAction.setUser((String) user);
        }
        Object pass = headers.get("JKPass");
        if(pass != null) {
            jkAction.setPass((String) pass);
        }
        Object statusPath = headers.get("JKStatusPath");
        if(statusPath != null) {
            jkAction.setStatusPath((String) statusPath);
        }
        // Add JKAction as global
        setGlobal("jkAction", jkAction);

        setGlobal("dateFormat", new SimpleDateFormat("yyyy/MM/dd HH:mm:ss"));
    }

    @Override
    public void doStop(final BundleContext bundleContext) throws Exception {
    }

}
